Skip to main content

Type Alias: GatewayInferenceResponseCodeInterpreterCallInProgressEvent

type GatewayInferenceResponseCodeInterpreterCallInProgressEvent = {
[key: string]: unknown;
type: "response.code_interpreter_call.in_progress";
output_index: number;
code_interpreter_call: GatewayInferenceCodeInterpreterToolCall;
};

Defined in: src/models/ai-gateway-inference.ts:4653

Portkey ResponseCodeInterpreterCallInProgressEvent; additive response fields are preserved.

Example​

`GatewayInferenceResponseCodeInterpreterCallInProgressEventSchema.parse(value);`

Indexable​

[key: string]: unknown

Properties​

type​

type: "response.code_interpreter_call.in_progress";

Defined in: src/models/ai-gateway-inference.ts:4654


output_index​

output_index: number;

Defined in: src/models/ai-gateway-inference.ts:4655


code_interpreter_call​

code_interpreter_call: GatewayInferenceCodeInterpreterToolCall;

Defined in: src/models/ai-gateway-inference.ts:4656